Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000819bareos-core[All Projects] Generalpublic2017-05-09 14:432017-10-09 15:27
ReporterM1Sports20 
Assigned Tojoergs 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformArchLinuxOSArchlinuxOS Version
Product Version16.2.5 
Target VersionFixed in Version16.2.7 
Summary0000819: bareos project fails to compile with openssl 1.1
DescriptionI believe the api of openssl 1.1 has changed and now bareos won't compile against it.

Here is a sample compile log
https://pastebin.com/z8qUJcQt [^]
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impactyes
bareos-16.2: actionfixed
bareos-15.2: impactno
bareos-15.2: action
bareos-14.2: impactno
bareos-14.2: action
bareos-13.2: impactno
bareos-13.2: action
bareos-12.4: impactno
bareos-12.4: action
Attached Files

- Relationships
child of 0000836closedjoergs Release bareos-16.2.7 

-  Notes
(0002639)
joergs (administrator)
2017-05-10 17:02

Are you aware, if other Linux distributions also using openssl >= 1.1 or when they will switch to it?

Is it possible, to compile against an older version of openssl in ArchLinux?
(0002640)
M1Sports20 (reporter)
2017-05-11 04:52

I know ArchLinux is usually one of the first to jump on upgrades. I am not sure of other distributions but I am sure they will switch soon enough. This is more to notify that it no longer builds.

I was able to get it to build using the following:
export CFLAGS="${CFLAGS} -L /usr/include/openssl-1.0"
export LIBS="${LIBS} -I /usr/include/openssl-1.0"

However, I wonder if a better solution would be to fix the configure script to allow a patch with the --with-openssl option such as: --with-openssl=/usr/include/openssl-1.0
(0002673)
joergs (administrator)
2017-06-22 13:40

Debian 9 also comes with openssl 1.1 (libssl-dev). For the moment, we changed our build configuration to build against libssl1.0-dev.
(0002750)
joergs (administrator)
2017-09-21 22:26

Bareos has been adapted to utilize openssl >= 1.1

Package for newer distributions are now compiled against it.

- Issue History
Date Modified Username Field Change
2017-05-09 14:43 M1Sports20 New Issue
2017-05-10 17:02 joergs Note Added: 0002639
2017-05-10 17:02 joergs Status new => feedback
2017-05-11 04:52 M1Sports20 Note Added: 0002640
2017-05-11 04:52 M1Sports20 Status feedback => new
2017-06-22 13:40 joergs bareos-master: impact => yes
2017-06-22 13:40 joergs bareos-master: action => will care
2017-06-22 13:40 joergs bareos-16.2: impact => yes
2017-06-22 13:40 joergs bareos-16.2: action => will care
2017-06-22 13:40 joergs bareos-15.2: impact => no
2017-06-22 13:40 joergs bareos-14.2: impact => no
2017-06-22 13:40 joergs bareos-13.2: impact => no
2017-06-22 13:40 joergs bareos-12.4: impact => no
2017-06-22 13:40 joergs Note Added: 0002673
2017-09-14 23:38 joergs Status new => acknowledged
2017-09-21 22:26 joergs bareos-master: action will care => fixed
2017-09-21 22:26 joergs bareos-16.2: action will care => fixed
2017-09-21 22:26 joergs Note Added: 0002750
2017-09-21 22:26 joergs Status acknowledged => resolved
2017-09-21 22:26 joergs Resolution open => fixed
2017-09-21 22:26 joergs Assigned To => joergs
2017-09-21 22:26 joergs Status resolved => closed
2017-09-21 22:26 joergs Fixed in Version => 16.2.7
2017-10-09 15:27 joergs Relationship added child of 0000836


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker